Debian Bug report logs - #597799
installation-report: GPT related issues

Package: grub-installer; Maintainer for grub-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for grub-installer is src:grub-installer.

Reported by: Mike Hommey <mh+reportbug@glandium.org>

Date: Thu, 23 Sep 2010 06:15:01 UTC

Severity: important

Tags: d-i, squeeze

Merged with 507399, 548156, 586059, 600524

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#597799; Package installation-reports. (Thu, 23 Sep 2010 06:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh+reportbug@glandium.org>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 23 Sep 2010 06:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh+reportbug@glandium.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: installation-report: GPT related issues
Date: Thu, 23 Sep 2010 08:13:26 +0200
Package: installation-reports
Version: 2.42
Severity: important
Tags: squeeze



-- Package-specific info:

Boot method: network
Image version: http://ftp.nl.debian.org/debian/dists/lenny/main/installer-amd64/current/images/netboot/gtk/netboot.tar.gz 17:58 26-06-10
Date: 22-09-2010

Machine: Custom-made i7 machine


Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O]
Detect network card:    [E]
Configure network:      [O]
Detect CD:              [ ]
Load installer modules: [O]
Detect hard drives:     [O]
Partition hard drives:  [E]
Install base system:    [O]
Clock/timezone setup:   [O]
User/password setup:    [O]
Install tasks:          [O]
Install boot loader:    [O]
Overall install:        [E]

Comments/Problems:

First, a little digression about the network card. The on-board network
controller is a Realtek controller for which the installer told me I needed
a non-free firmware. It happens that answering "No" left the network...
working. It would have been helpful if the installer told me the network
may still work without the firmware.

Back to the core of my issues. I went through a manual partitionning, and
didn't create a boot partition for the grub core image, assuming I was
creating an MBR partition. It turned out, in the end, that GRUB failed
because of that, because the partition table was GPT. I didn't see anything
about GPT being used (or maybe wasn't paying too much attention), and surely
the partitioner could issue a warning that no such partition was created and
that the risk is that GRUB can't be installed.

Other than that, everything went fine. Awesome installer.

Thanks

Mike

-- 

Please make sure that the hardware-summary log file, and any other
installation logs that you think would be useful are attached to this
report. Please compress large files using gzip.

Once you have filled out this report, mail it to submit@bugs.debian.org.

==============================================
Installer lsb-release:
==============================================
DISTRIB_ID=Debian
DISTRIB_DESCRIPTION="Debian GNU/Linux installer"
DISTRIB_RELEASE="6.0 (squeeze) - installer build 20100912"
X_INSTALLATION_MEDIUM=netboot-gtk

==============================================
Installer hardware-summary:
==============================================
uname -a: Linux goemon 2.6.32-5-amd64 #1 SMP Thu Aug 12 13:01:50 UTC 2010 x86_64 GNU/Linux
lspci -knn: 00:00.0 Host bridge [0600]: Intel Corporation Core Processor DMI [8086:d131] (rev 11)
lspci -knn: 	Subsystem: Micro-Star International Co., Ltd. Device [1462:7588]
lspci -knn: 00:03.0 PCI bridge [0604]: Intel Corporation Core Processor PCI Express Root Port 1 [8086:d138] (rev 11)
lspci -knn: 	Kernel driver in use: pcieport
lspci -knn: 00:08.0 System peripheral [0880]: Intel Corporation Core Processor System Management Registers [8086:d155] (rev 11)
lspci -knn: 	Subsystem: Device [0062:0088]
lspci -knn: 00:08.1 System peripheral [0880]: Intel Corporation Core Processor Semaphore and Scratchpad Registers [8086:d156] (rev 11)
lspci -knn: 	Subsystem: Device [0062:0088]
lspci -knn: 00:08.2 System peripheral [0880]: Intel Corporation Core Processor System Control and Status Registers [8086:d157] (rev 11)
lspci -knn: 	Subsystem: Device [0062:0088]
lspci -knn: 00:08.3 System peripheral [0880]: Intel Corporation Core Processor Miscellaneous Registers [8086:d158] (rev 11)
lspci -knn: 	Subsystem: Device [0062:0088]
lspci -knn: 00:10.0 System peripheral [0880]: Intel Corporation Core Processor QPI Link [8086:d150] (rev 11)
lspci -knn: 	Subsystem: Device [0062:0088]
lspci -knn: 00:10.1 System peripheral [0880]: Intel Corporation Core Processor QPI Routing and Protocol Registers [8086:d151] (rev 11)
lspci -knn: 	Subsystem: Device [0062:0088]
lspci -knn: 00:1a.0 USB Controller [0c03]: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller [8086:3b3c] (rev 05)
lspci -knn: 	Subsystem: Micro-Star International Co., Ltd. Device [1462:7588]
lspci -knn: 	Kernel driver in use: ehci_hcd
lspci -knn: 00:1b.0 Audio device [0403]: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio [8086:3b56] (rev 05)
lspci -knn: 	Subsystem: Micro-Star International Co., Ltd. Device [1462:7588]
lspci -knn: 00:1c.0 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 [8086:3b42] (rev 05)
lspci -knn: 	Kernel driver in use: pcieport
lspci -knn: 00:1c.5 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 6 [8086:3b4c] (rev 05)
lspci -knn: 	Kernel driver in use: pcieport
lspci -knn: 00:1c.6 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 7 [8086:3b4e] (rev 05)
lspci -knn: 	Kernel driver in use: pcieport
lspci -knn: 00:1c.7 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 8 [8086:3b50] (rev 05)
lspci -knn: 	Kernel driver in use: pcieport
lspci -knn: 00:1d.0 USB Controller [0c03]: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller [8086:3b34] (rev 05)
lspci -knn: 	Subsystem: Micro-Star International Co., Ltd. Device [1462:7588]
lspci -knn: 	Kernel driver in use: ehci_hcd
lspci -knn: 00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev a5)
lspci -knn: 00:1f.0 ISA bridge [0601]: Intel Corporation 5 Series Chipset LPC Interface Controller [8086:3b02] (rev 05)
lspci -knn: 	Subsystem: Micro-Star International Co., Ltd. Device [1462:7588]
lspci -knn: 00:1f.2 SATA controller [0106]: Intel Corporation 5 Series/3400 Series Chipset 6 port SATA AHCI Controller [8086:3b22] (rev 05)
lspci -knn: 	Subsystem: Micro-Star International Co., Ltd. Device [1462:7588]
lspci -knn: 	Kernel driver in use: ahci
lspci -knn: 00:1f.3 SMBus [0c05]: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller [8086:3b30] (rev 05)
lspci -knn: 	Subsystem: Micro-Star International Co., Ltd. Device [1462:7588]
lspci -knn: 02:00.0 VGA compatible controller [0300]: ATI Technologies Inc RV710 [Radeon HD 4350] [1002:954f]
lspci -knn: 	Subsystem: PC Partner Limited Device [174b:0e13]
lspci -knn: 02:00.1 Audio device [0403]: ATI Technologies Inc RV710/730 [1002:aa38]
lspci -knn: 	Subsystem: PC Partner Limited Device [174b:aa38]
lspci -knn: 03:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 03)
lspci -knn: 	Subsystem: Micro-Star International Co., Ltd. Device [1462:7588]
lspci -knn: 	Kernel driver in use: r8169
lspci -knn: 04:00.0 FireWire (IEEE 1394) [0c00]: VIA Technologies, Inc. VT6315 Series Firewire Controller [1106:3403]
lspci -knn: 	Subsystem: Micro-Star International Co., Ltd. Device [1462:588d]
lspci -knn: 	Kernel driver in use: firewire_ohci
lspci -knn: 05:00.0 SATA controller [0106]: JMicron Technology Corp. JMB362/JMB363 Serial ATA Controller [197b:2363] (rev 03)
lspci -knn: 	Subsystem: Micro-Star International Co., Ltd. Device [1462:7588]
lspci -knn: 	Kernel driver in use: ahci
lspci -knn: 05:00.1 IDE interface [0101]: JMicron Technology Corp. JMB362/JMB363 Serial ATA Controller [197b:2363] (rev 03)
lspci -knn: 	Subsystem: Micro-Star International Co., Ltd. Device [1462:7588]
lspci -knn: 	Kernel driver in use: pata_jmicron
usb-list: 
usb-list: Bus 01 Device 01: EHCI Host Controller [1d6b:0002]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 2.6.32-5-amd64 ehci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 01 Device 02: EHCI Host Controller [8087:0020]
usb-list:    Level 01 Parent 01 Port 00  Class 09(hub  ) Subclass 00 Protocol 01
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 02 Device 01: EHCI Host Controller [1d6b:0002]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 2.6.32-5-amd64 ehci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 02 Device 02: EHCI Host Controller [8087:0020]
usb-list:    Level 01 Parent 01 Port 00  Class 09(hub  ) Subclass 00 Protocol 01
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 02 Device 03: USB2.0 Card Reader   [090c:6000]
usb-list:    Level 02 Parent 02 Port 02  Class 00(>ifc ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Generic       ,   . 
usb-list:    Interface 00: Class 08(mstor) Subclass 06 Protocol 50 Driver usb-storage
usb-list: 
usb-list: Bus 02 Device 04: USB KB V11 [0e8f:0021]
usb-list:    Level 02 Parent 02 Port 06  Class 00(>ifc ) Subclass 00 Protocol 00
usb-list:    Manufacturer: GASIA
usb-list:    Interface 00: Class 03(HID  ) Subclass 01 Protocol 01 Driver usbhid
usb-list:    Interface 01: Class 03(HID  ) Subclass 00 Protocol 00 Driver usbhid
lsmod: Module                  Size  Used by
lsmod: hfsplus                65174  0 
lsmod: hfs                    37359  0 
lsmod: minix                  21165  0 
lsmod: msdos                   6202  0 
lsmod: ufs                    56474  0 
lsmod: qnx4                    6194  0 
lsmod: ntfs                  162796  0 
lsmod: reiserfs              194124  0 
lsmod: battery                 4998  0 
lsmod: dm_mod                 53754  9 
lsmod: raid1                  18175  1 
lsmod: md_mod                 73776  2 raid1
lsmod: xfs                   436813  0 
lsmod: exportfs                3170  1 xfs
lsmod: jfs                   140147  0 
lsmod: ext4                  288873  2 
lsmod: jbd2                   67015  1 ext4
lsmod: crc16                   1319  1 ext4
lsmod: ext3                  106518  0 
lsmod: jbd                    37085  1 ext3
lsmod: ext2                   52969  0 
lsmod: mbcache                 5050  3 ext4,ext3,ext2
lsmod: pata_jmicron            2280  0 
lsmod: ahci                   32358  2 
lsmod: libata                133584  2 pata_jmicron,ahci
lsmod: r8169                  28877  0 
lsmod: mii                     3210  1 r8169
lsmod: vfat                    7884  0 
lsmod: fat                    40038  2 msdos,vfat
lsmod: firewire_sbp2          11514  0 
lsmod: sd_mod                 29777  4 
lsmod: crc_t10dif              1276  1 sd_mod
lsmod: usbhid                 33260  0 
lsmod: hid                    62841  1 usbhid
lsmod: usb_storage            39561  0 
lsmod: scsi_mod              122117  4 libata,firewire_sbp2,sd_mod,usb_storage
lsmod: fan                     3346  0 
lsmod: ehci_hcd               31135  0 
lsmod: usbcore               121943  4 usbhid,usb_storage,ehci_hcd
lsmod: nls_base                6361  7 hfsplus,hfs,ntfs,jfs,vfat,fat,usbcore
lsmod: psmouse                49777  0 
lsmod: evdev                   7352  3 
lsmod: firewire_ohci          19468  0 
lsmod: firewire_core          36800  2 firewire_sbp2,firewire_ohci
lsmod: crc_itu_t               1307  1 firewire_core
lsmod: thermal                11674  0 
lsmod: thermal_sys            11942  2 fan,thermal
df: Filesystem           1K-blocks      Used Available Use% Mounted on
df: tmpfs                  8232596        56   8232540   0% /dev
df: /dev/mapper/goemon-root
df:                        1919048    592948   1228616  33% /target
df: /dev/mapper/goemon-home
df:                         959512     17616    941896   2% /target/home
df: /dev/mapper/goemon-root
df:                        1919048    592948   1228616  33% /dev/.static/dev
df: tmpfs                  8232596        56   8232540   0% /target/dev
free:               total         used         free       shared      buffers
free:   Mem:     16465196       852868     15612328            0        39404
free:  Swap:      1949688            0      1949688
free: Total:     18414884       852868     17562016
/proc/cmdline: video=vesa:ywrap,mtrr vga=788 initrd=debian-installer/amd64/initrd.gz -- quiet  BOOT_IMAGE=debian-installer/amd64/linux 
/proc/cpuinfo: processor	: 0
/proc/cpuinfo: vendor_id	: GenuineIntel
/proc/cpuinfo: cpu family	: 6
/proc/cpuinfo: model		: 30
/proc/cpuinfo: model name	: Intel(R) Core(TM) i7 CPU         870  @ 2.93GHz
/proc/cpuinfo: stepping	: 5
/proc/cpuinfo: cpu MHz		: 2940.106
/proc/cpuinfo: cache size	: 8192 KB
/proc/cpuinfo: physical id	: 0
/proc/cpuinfo: siblings	: 8
/proc/cpuinfo: core id		: 0
/proc/cpuinfo: cpu cores	: 4
/proc/cpuinfo: apicid		: 0
/proc/cpuinfo: initial apicid	: 0
/proc/cpuinfo: fpu		: yes
/proc/cpuinfo: fpu_exception	: yes
/proc/cpuinfo: cpuid level	: 11
/proc/cpuinfo: wp		: yes
/proc/cpuinfo: flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi flexpriority ept vpid
/proc/cpuinfo: bogomips	: 5880.21
/proc/cpuinfo: clflush size	: 64
/proc/cpuinfo: cache_alignment	: 64
/proc/cpuinfo: address sizes	: 36 bits physical, 48 bits virtual
/proc/cpuinfo: power management:
/proc/cpuinfo: 
/proc/cpuinfo: processor	: 1
/proc/cpuinfo: vendor_id	: GenuineIntel
/proc/cpuinfo: cpu family	: 6
/proc/cpuinfo: model		: 30
/proc/cpuinfo: model name	: Intel(R) Core(TM) i7 CPU         870  @ 2.93GHz
/proc/cpuinfo: stepping	: 5
/proc/cpuinfo: cpu MHz		: 2940.106
/proc/cpuinfo: cache size	: 8192 KB
/proc/cpuinfo: physical id	: 0
/proc/cpuinfo: siblings	: 8
/proc/cpuinfo: core id		: 1
/proc/cpuinfo: cpu cores	: 4
/proc/cpuinfo: apicid		: 2
/proc/cpuinfo: initial apicid	: 2
/proc/cpuinfo: fpu		: yes
/proc/cpuinfo: fpu_exception	: yes
/proc/cpuinfo: cpuid level	: 11
/proc/cpuinfo: wp		: yes
/proc/cpuinfo: flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi flexpriority ept vpid
/proc/cpuinfo: bogomips	: 5880.89
/proc/cpuinfo: clflush size	: 64
/proc/cpuinfo: cache_alignment	: 64
/proc/cpuinfo: address sizes	: 36 bits physical, 48 bits virtual
/proc/cpuinfo: power management:
/proc/cpuinfo: 
/proc/cpuinfo: processor	: 2
/proc/cpuinfo: vendor_id	: GenuineIntel
/proc/cpuinfo: cpu family	: 6
/proc/cpuinfo: model		: 30
/proc/cpuinfo: model name	: Intel(R) Core(TM) i7 CPU         870  @ 2.93GHz
/proc/cpuinfo: stepping	: 5
/proc/cpuinfo: cpu MHz		: 2940.106
/proc/cpuinfo: cache size	: 8192 KB
/proc/cpuinfo: physical id	: 0
/proc/cpuinfo: siblings	: 8
/proc/cpuinfo: core id		: 2
/proc/cpuinfo: cpu cores	: 4
/proc/cpuinfo: apicid		: 4
/proc/cpuinfo: initial apicid	: 4
/proc/cpuinfo: fpu		: yes
/proc/cpuinfo: fpu_exception	: yes
/proc/cpuinfo: cpuid level	: 11
/proc/cpuinfo: wp		: yes
/proc/cpuinfo: flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi flexpriority ept vpid
/proc/cpuinfo: bogomips	: 5880.91
/proc/cpuinfo: clflush size	: 64
/proc/cpuinfo: cache_alignment	: 64
/proc/cpuinfo: address sizes	: 36 bits physical, 48 bits virtual
/proc/cpuinfo: power management:
/proc/cpuinfo: 
/proc/cpuinfo: processor	: 3
/proc/cpuinfo: vendor_id	: GenuineIntel
/proc/cpuinfo: cpu family	: 6
/proc/cpuinfo: model		: 30
/proc/cpuinfo: model name	: Intel(R) Core(TM) i7 CPU         870  @ 2.93GHz
/proc/cpuinfo: stepping	: 5
/proc/cpuinfo: cpu MHz		: 2940.106
/proc/cpuinfo: cache size	: 8192 KB
/proc/cpuinfo: physical id	: 0
/proc/cpuinfo: siblings	: 8
/proc/cpuinfo: core id		: 3
/proc/cpuinfo: cpu cores	: 4
/proc/cpuinfo: apicid		: 6
/proc/cpuinfo: initial apicid	: 6
/proc/cpuinfo: fpu		: yes
/proc/cpuinfo: fpu_exception	: yes
/proc/cpuinfo: cpuid level	: 11
/proc/cpuinfo: wp		: yes
/proc/cpuinfo: flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi flexpriority ept vpid
/proc/cpuinfo: bogomips	: 5880.90
/proc/cpuinfo: clflush size	: 64
/proc/cpuinfo: cache_alignment	: 64
/proc/cpuinfo: address sizes	: 36 bits physical, 48 bits virtual
/proc/cpuinfo: power management:
/proc/cpuinfo: 
/proc/cpuinfo: processor	: 4
/proc/cpuinfo: vendor_id	: GenuineIntel
/proc/cpuinfo: cpu family	: 6
/proc/cpuinfo: model		: 30
/proc/cpuinfo: model name	: Intel(R) Core(TM) i7 CPU         870  @ 2.93GHz
/proc/cpuinfo: stepping	: 5
/proc/cpuinfo: cpu MHz		: 2940.106
/proc/cpuinfo: cache size	: 8192 KB
/proc/cpuinfo: physical id	: 0
/proc/cpuinfo: siblings	: 8
/proc/cpuinfo: core id		: 0
/proc/cpuinfo: cpu cores	: 4
/proc/cpuinfo: apicid		: 1
/proc/cpuinfo: initial apicid	: 1
/proc/cpuinfo: fpu		: yes
/proc/cpuinfo: fpu_exception	: yes
/proc/cpuinfo: cpuid level	: 11
/proc/cpuinfo: wp		: yes
/proc/cpuinfo: flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi flexpriority ept vpid
/proc/cpuinfo: bogomips	: 5880.87
/proc/cpuinfo: clflush size	: 64
/proc/cpuinfo: cache_alignment	: 64
/proc/cpuinfo: address sizes	: 36 bits physical, 48 bits virtual
/proc/cpuinfo: power management:
/proc/cpuinfo: 
/proc/cpuinfo: processor	: 5
/proc/cpuinfo: vendor_id	: GenuineIntel
/proc/cpuinfo: cpu family	: 6
/proc/cpuinfo: model		: 30
/proc/cpuinfo: model name	: Intel(R) Core(TM) i7 CPU         870  @ 2.93GHz
/proc/cpuinfo: stepping	: 5
/proc/cpuinfo: cpu MHz		: 2940.106
/proc/cpuinfo: cache size	: 8192 KB
/proc/cpuinfo: physical id	: 0
/proc/cpuinfo: siblings	: 8
/proc/cpuinfo: core id		: 1
/proc/cpuinfo: cpu cores	: 4
/proc/cpuinfo: apicid		: 3
/proc/cpuinfo: initial apicid	: 3
/proc/cpuinfo: fpu		: yes
/proc/cpuinfo: fpu_exception	: yes
/proc/cpuinfo: cpuid level	: 11
/proc/cpuinfo: wp		: yes
/proc/cpuinfo: flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi flexpriority ept vpid
/proc/cpuinfo: bogomips	: 5880.90
/proc/cpuinfo: clflush size	: 64
/proc/cpuinfo: cache_alignment	: 64
/proc/cpuinfo: address sizes	: 36 bits physical, 48 bits virtual
/proc/cpuinfo: power management:
/proc/cpuinfo: 
/proc/cpuinfo: processor	: 6
/proc/cpuinfo: vendor_id	: GenuineIntel
/proc/cpuinfo: cpu family	: 6
/proc/cpuinfo: model		: 30
/proc/cpuinfo: model name	: Intel(R) Core(TM) i7 CPU         870  @ 2.93GHz
/proc/cpuinfo: stepping	: 5
/proc/cpuinfo: cpu MHz		: 2940.106
/proc/cpuinfo: cache size	: 8192 KB
/proc/cpuinfo: physical id	: 0
/proc/cpuinfo: siblings	: 8
/proc/cpuinfo: core id		: 2
/proc/cpuinfo: cpu cores	: 4
/proc/cpuinfo: apicid		: 5
/proc/cpuinfo: initial apicid	: 5
/proc/cpuinfo: fpu		: yes
/proc/cpuinfo: fpu_exception	: yes
/proc/cpuinfo: cpuid level	: 11
/proc/cpuinfo: wp		: yes
/proc/cpuinfo: flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi flexpriority ept vpid
/proc/cpuinfo: bogomips	: 5880.92
/proc/cpuinfo: clflush size	: 64
/proc/cpuinfo: cache_alignment	: 64
/proc/cpuinfo: address sizes	: 36 bits physical, 48 bits virtual
/proc/cpuinfo: power management:
/proc/cpuinfo: 
/proc/cpuinfo: processor	: 7
/proc/cpuinfo: vendor_id	: GenuineIntel
/proc/cpuinfo: cpu family	: 6
/proc/cpuinfo: model		: 30
/proc/cpuinfo: model name	: Intel(R) Core(TM) i7 CPU         870  @ 2.93GHz
/proc/cpuinfo: stepping	: 5
/proc/cpuinfo: cpu MHz		: 2940.106
/proc/cpuinfo: cache size	: 8192 KB
/proc/cpuinfo: physical id	: 0
/proc/cpuinfo: siblings	: 8
/proc/cpuinfo: core id		: 3
/proc/cpuinfo: cpu cores	: 4
/proc/cpuinfo: apicid		: 7
/proc/cpuinfo: initial apicid	: 7
/proc/cpuinfo: fpu		: yes
/proc/cpuinfo: fpu_exception	: yes
/proc/cpuinfo: cpuid level	: 11
/proc/cpuinfo: wp		: yes
/proc/cpuinfo: flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi flexpriority ept vpid
/proc/cpuinfo: bogomips	: 5880.91
/proc/cpuinfo: clflush size	: 64
/proc/cpuinfo: cache_alignment	: 64
/proc/cpuinfo: address sizes	: 36 bits physical, 48 bits virtual
/proc/cpuinfo: power management:
/proc/cpuinfo: 
/proc/ioports: 0000-001f : dma1
/proc/ioports: 0020-0021 : pic1
/proc/ioports: 0040-0043 : timer0
/proc/ioports: 0050-0053 : timer1
/proc/ioports: 0060-0060 : keyboard
/proc/ioports: 0064-0064 : keyboard
/proc/ioports: 0070-0071 : rtc0
/proc/ioports: 0080-008f : dma page reg
/proc/ioports: 00a0-00a1 : pic2
/proc/ioports: 00c0-00df : dma2
/proc/ioports: 00f0-00ff : fpu
/proc/ioports: 03c0-03df : vesafb
/proc/ioports: 0400-041f : 0000:00:1f.3
/proc/ioports: 04d0-04d1 : pnp 00:07
/proc/ioports: 0500-057f : pnp 00:07
/proc/ioports: 0800-087f : pnp 00:07
/proc/ioports:   0800-0803 : ACPI PM1a_EVT_BLK
/proc/ioports:   0804-0805 : ACPI PM1a_CNT_BLK
/proc/ioports:   0808-080b : ACPI PM_TMR
/proc/ioports:   0820-082f : ACPI GPE0_BLK
/proc/ioports:   0850-0850 : ACPI PM2_CNT_BLK
/proc/ioports: 0a00-0adf : pnp 00:06
/proc/ioports: 0ae0-0aef : pnp 00:06
/proc/ioports: 0cf8-0cff : PCI conf1
/proc/ioports: a400-a41f : 0000:00:1f.2
/proc/ioports:   a400-a41f : ahci
/proc/ioports: a480-a483 : 0000:00:1f.2
/proc/ioports:   a480-a483 : ahci
/proc/ioports: a800-a807 : 0000:00:1f.2
/proc/ioports:   a800-a807 : ahci
/proc/ioports: a880-a883 : 0000:00:1f.2
/proc/ioports:   a880-a883 : ahci
/proc/ioports: ac00-ac07 : 0000:00:1f.2
/proc/ioports:   ac00-ac07 : ahci
/proc/ioports: b000-bfff : PCI Bus 0000:02
/proc/ioports:   b000-b0ff : 0000:02:00.0
/proc/ioports: c000-cfff : PCI Bus 0000:03
/proc/ioports:   c800-c8ff : 0000:03:00.0
/proc/ioports:     c800-c8ff : r8169
/proc/ioports: d000-dfff : PCI Bus 0000:04
/proc/ioports:   d800-d8ff : 0000:04:00.0
/proc/ioports: e000-efff : PCI Bus 0000:05
/proc/ioports:   e400-e40f : 0000:05:00.1
/proc/ioports:     e400-e40f : pata_jmicron
/proc/ioports:   e480-e483 : 0000:05:00.1
/proc/ioports:     e480-e483 : pata_jmicron
/proc/ioports:   e800-e807 : 0000:05:00.1
/proc/ioports:     e800-e807 : pata_jmicron
/proc/ioports:   e880-e883 : 0000:05:00.1
/proc/ioports:     e880-e883 : pata_jmicron
/proc/ioports:   ec00-ec07 : 0000:05:00.1
/proc/ioports:     ec00-ec07 : pata_jmicron
/proc/iomem: 00000000-0000ffff : reserved
/proc/iomem: 00010000-0009e7ff : System RAM
/proc/iomem: 0009e800-0009ffff : reserved
/proc/iomem: 000c0000-000cffff : pnp 00:0b
/proc/iomem: 000e0000-000fffff : reserved
/proc/iomem: 00100000-bf77ffff : System RAM
/proc/iomem:   01000000-012fee68 : Kernel code
/proc/iomem:   012fee69-014d69df : Kernel data
/proc/iomem:   01573000-01684353 : Kernel bss
/proc/iomem: bf780000-bf78dfff : ACPI Tables
/proc/iomem: bf78e000-bf7cffff : ACPI Non-volatile Storage
/proc/iomem: bf7d0000-bf7dffff : reserved
/proc/iomem: bf7e0000-bf7ecfff : RAM buffer
/proc/iomem: bf7ed000-bfffffff : reserved
/proc/iomem: c0000000-c01fffff : PCI Bus 0000:04
/proc/iomem: c0200000-c03fffff : PCI Bus 0000:05
/proc/iomem: d0000000-dfffffff : PCI Bus 0000:02
/proc/iomem:   d0000000-dfffffff : 0000:02:00.0
/proc/iomem:     d0000000-d0ffffff : vesafb
/proc/iomem: e0000000-efffffff : PCI MMCONFIG 0 [00-ff]
/proc/iomem:   e0000000-efffffff : pnp 00:0a
/proc/iomem: faf00000-faffffff : PCI Bus 0000:03
/proc/iomem:   faf00000-faf1ffff : 0000:03:00.0
/proc/iomem:   faffc000-faffffff : 0000:03:00.0
/proc/iomem:     faffc000-faffffff : r8169
/proc/iomem: fbbf4000-fbbf47ff : 0000:00:1f.2
/proc/iomem:   fbbf4000-fbbf47ff : ahci
/proc/iomem: fbbf6000-fbbf63ff : 0000:00:1d.0
/proc/iomem:   fbbf6000-fbbf63ff : ehci_hcd
/proc/iomem: fbbf8000-fbbfbfff : 0000:00:1b.0
/proc/iomem: fbbfc000-fbbfc3ff : 0000:00:1a.0
/proc/iomem:   fbbfc000-fbbfc3ff : ehci_hcd
/proc/iomem: fbbff800-fbbff8ff : 0000:00:1f.3
/proc/iomem: fbc00000-fbcfffff : PCI Bus 0000:02
/proc/iomem:   fbcc0000-fbcdffff : 0000:02:00.0
/proc/iomem:   fbcec000-fbceffff : 0000:02:00.1
/proc/iomem:   fbcf0000-fbcfffff : 0000:02:00.0
/proc/iomem: fbd00000-fbdfffff : PCI Bus 0000:03
/proc/iomem:   fbdff000-fbdfffff : 0000:03:00.0
/proc/iomem:     fbdff000-fbdfffff : r8169
/proc/iomem: fbe00000-fbefffff : PCI Bus 0000:04
/proc/iomem:   fbeff800-fbefffff : 0000:04:00.0
/proc/iomem:     fbeff800-fbefffff : firewire_ohci
/proc/iomem: fbf00000-fbffffff : PCI Bus 0000:05
/proc/iomem:   fbffe000-fbffffff : 0000:05:00.0
/proc/iomem:     fbffe000-fbffffff : ahci
/proc/iomem: fc000000-fcffffff : pnp 00:01
/proc/iomem: fd000000-fdffffff : pnp 00:01
/proc/iomem: fe000000-febfffff : pnp 00:01
/proc/iomem: fec00000-fec00fff : IOAPIC 0
/proc/iomem: fed00000-fed003ff : HPET 0
/proc/iomem: fed14000-fed19fff : pnp 00:01
/proc/iomem: fed1c000-fed1ffff : pnp 00:07
/proc/iomem: fed20000-fed3ffff : pnp 00:07
/proc/iomem:   fed20000-fed3ffff : pnp 00:07
/proc/iomem: fed45000-fed89fff : pnp 00:07
/proc/iomem: fee00000-fee00fff : Local APIC
/proc/iomem:   fee00000-fee00fff : reserved
/proc/iomem:     fee00000-fee00fff : pnp 00:09
/proc/iomem: ffa00000-ffffffff : reserved
/proc/iomem: 100000000-43fffffff : System RAM
/proc/interrupts:            CPU0       CPU1       CPU2       CPU3       CPU4       CPU5       CPU6       CPU7       
/proc/interrupts:   0:         43          0          0          6          0          0          0          0   IO-APIC-edge      timer
/proc/interrupts:   1:          0          0          0          2          0          0          0          0   IO-APIC-edge      i8042
/proc/interrupts:   8:          0          0          0         61          0          0          0          0   IO-APIC-edge      rtc0
/proc/interrupts:   9:          0          0          0          0          0          0          0          0   IO-APIC-fasteoi   acpi
/proc/interrupts:  12:          0          0          0          4          0          0          0          0   IO-APIC-edge      i8042
/proc/interrupts:  16:          0          0          0          0          0          0          0         28   IO-APIC-fasteoi   ehci_hcd:usb1, pata_jmicron
/proc/interrupts:  18:         27          0          0          0          0          0          0          0   IO-APIC-fasteoi   firewire_ohci
/proc/interrupts:  19:          0          0          0          0          0          0          0          0   IO-APIC-fasteoi   ahci
/proc/interrupts:  23:          0          0          0          0       3376          0          0          0   IO-APIC-fasteoi   ehci_hcd:usb2
/proc/interrupts:  24:      63159          0          0          0          0          0          0          0  HPET_MSI-edge      hpet2
/proc/interrupts:  25:          0      26863          0          0          0          0          0          0  HPET_MSI-edge      hpet3
/proc/interrupts:  26:          0          0      30593          0          0          0          0          0  HPET_MSI-edge      hpet4
/proc/interrupts:  27:          0          0          0      27355          0          0          0          0  HPET_MSI-edge      hpet5
/proc/interrupts:  28:          0          0          0          0      63373          0          0          0  HPET_MSI-edge      hpet6
/proc/interrupts:  34:          0          0          0          0     191394          0          0          0   PCI-MSI-edge      eth0
/proc/interrupts:  35:          0          0          0          0          0     701020          0          0   PCI-MSI-edge      ahci
/proc/interrupts: NMI:          0          0          0          0          0          0          0          0   Non-maskable interrupts
/proc/interrupts: LOC:        177        178        152        125         99      99156      57273      64770   Local timer interrupts
/proc/interrupts: SPU:          0          0          0          0          0          0          0          0   Spurious interrupts
/proc/interrupts: PMI:          0          0          0          0          0          0          0          0   Performance monitoring interrupts
/proc/interrupts: PND:          0          0          0          0          0          0          0          0   Performance pending work
/proc/interrupts: RES:       2001        568        364        140        396        897        676        289   Rescheduling interrupts
/proc/interrupts: CAL:        635        664        667        666        527        605        441        478   Function call interrupts
/proc/interrupts: TLB:        735        503        347        290       6775       8900       9044       8075   TLB shootdowns
/proc/interrupts: TRM:          0          0          0          0          0          0          0          0   Thermal event interrupts
/proc/interrupts: THR:          0          0          0          0          0          0          0          0   Threshold APIC interrupts
/proc/interrupts: MCE:          0          0          0          0          0          0          0          0   Machine check exceptions
/proc/interrupts: MCP:          7          7          7          7          7          7          7          7   Machine check polls
/proc/interrupts: ERR:          7
/proc/interrupts: MIS:          0
/proc/meminfo: MemTotal:       16465196 kB
/proc/meminfo: MemFree:        15611948 kB
/proc/meminfo: Buffers:           39404 kB
/proc/meminfo: Cached:           629448 kB
/proc/meminfo: SwapCached:            0 kB
/proc/meminfo: Active:           298804 kB
/proc/meminfo: Inactive:         408556 kB
/proc/meminfo: Active(anon):      40832 kB
/proc/meminfo: Inactive(anon):      404 kB
/proc/meminfo: Active(file):     257972 kB
/proc/meminfo: Inactive(file):   408152 kB
/proc/meminfo: Unevictable:        2296 kB
/proc/meminfo: Mlocked:               0 kB
/proc/meminfo: SwapTotal:       1949688 kB
/proc/meminfo: SwapFree:        1949688 kB
/proc/meminfo: Dirty:              2048 kB
/proc/meminfo: Writeback:             0 kB
/proc/meminfo: AnonPages:         40800 kB
/proc/meminfo: Mapped:            10480 kB
/proc/meminfo: Shmem:               440 kB
/proc/meminfo: Slab:              73360 kB
/proc/meminfo: SReclaimable:      64092 kB
/proc/meminfo: SUnreclaim:         9268 kB
/proc/meminfo: KernelStack:        2184 kB
/proc/meminfo: PageTables:         1388 kB
/proc/meminfo: NFS_Unstable:          0 kB
/proc/meminfo: Bounce:                0 kB
/proc/meminfo: WritebackTmp:          0 kB
/proc/meminfo: CommitLimit:    10182284 kB
/proc/meminfo: Committed_AS:      44320 kB
/proc/meminfo: VmallocTotal:   34359738367 kB
/proc/meminfo: VmallocUsed:      311144 kB
/proc/meminfo: VmallocChunk:   34359423196 kB
/proc/meminfo: HardwareCorrupted:     0 kB
/proc/meminfo: HugePages_Total:       0
/proc/meminfo: HugePages_Free:        0
/proc/meminfo: HugePages_Rsvd:        0
/proc/meminfo: HugePages_Surp:        0
/proc/meminfo: Hugepagesize:       2048 kB
/proc/meminfo: DirectMap4k:        7680 kB
/proc/meminfo: DirectMap2M:    16760832 kB
/proc/bus/input/devices: I: Bus=0017 Vendor=0001 Product=0001 Version=0100
/proc/bus/input/devices: N: Name="Macintosh mouse button emulation"
/proc/bus/input/devices: P: Phys=
/proc/bus/input/devices: S: Sysfs=/devices/virtual/input/input0
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=mouse0 event0 
/proc/bus/input/devices: B: EV=7
/proc/bus/input/devices: B: KEY=70000 0 0 0 0
/proc/bus/input/devices: B: REL=3
/proc/bus/input/devices: 
/proc/bus/input/devices: I: Bus=0003 Vendor=0e8f Product=0021 Version=0110
/proc/bus/input/devices: N: Name="GASIA USB KB V11"
/proc/bus/input/devices: P: Phys=usb-0000:00:1d.0-1.7/input0
/proc/bus/input/devices: S: Sysfs=/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.7/2-1.7:1.0/input/input1
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=kbd event1 
/proc/bus/input/devices: B: EV=120013
/proc/bus/input/devices: B: KEY=1000000000007 ff800000000007ff febeffdff3cfffff fffffffffffffffe
/proc/bus/input/devices: B: MSC=10
/proc/bus/input/devices: B: LED=7
/proc/bus/input/devices: 
/proc/bus/input/devices: I: Bus=0003 Vendor=0e8f Product=0021 Version=0110
/proc/bus/input/devices: N: Name="GASIA USB KB V11"
/proc/bus/input/devices: P: Phys=usb-0000:00:1d.0-1.7/input1
/proc/bus/input/devices: S: Sysfs=/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.7/2-1.7:1.1/input/input2
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=kbd event2 
/proc/bus/input/devices: B: EV=1f
/proc/bus/input/devices: B: KEY=837fff002c3027 bf00444400000000 1 c040a27c000 267bfad941dfed 9e000000000000 0
/proc/bus/input/devices: B: REL=40
/proc/bus/input/devices: B: ABS=100000000
/proc/bus/input/devices: B: MSC=10
/proc/bus/input/devices: 
/proc/fb: 0 VESA VGA
dfbinfo: not found

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

installation-report depends on no packages.

Versions of packages installation-report recommends:
ii  pciutils                      1:3.1.7-5  Linux PCI Utilities
ii  reportbug                     4.12.6     reports bugs in the Debian distrib

installation-report suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#597799; Package installation-reports. (Thu, 23 Sep 2010 10:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 23 Sep 2010 10:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 597799@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: 597799@bugs.debian.org
Subject: Re: Bug#597799: installation-report: GPT related issues
Date: Thu, 23 Sep 2010 12:12:37 +0200
On Thu, Sep 23, 2010 at 08:13:26AM +0200, Mike Hommey wrote:
> Back to the core of my issues. I went through a manual partitionning, and
> didn't create a boot partition for the grub core image, assuming I was
> creating an MBR partition. It turned out, in the end, that GRUB failed
> because of that, because the partition table was GPT. I didn't see anything
> about GPT being used (or maybe wasn't paying too much attention), and surely
> the partitioner could issue a warning that no such partition was created and
> that the risk is that GRUB can't be installed.

Oh I forgot to add this: the installed fdisk is pointless as the only
thing it can do is tell you to use parted, which supports GPT... except
parted is not installed. If the install is done on GPT, shouldn't parted
be installed (or any other fdisk equivalent supporting GPT)

Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#597799; Package installation-reports. (Thu, 23 Sep 2010 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to lsorense@csclub.uwaterloo.ca (Lennart Sorensen):
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 23 Sep 2010 13:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 597799@bugs.debian.org (full text, mbox):

From: lsorense@csclub.uwaterloo.ca (Lennart Sorensen)
To: Mike Hommey <mh@glandium.org>, 597799@bugs.debian.org
Subject: Re: Bug#597799: installation-report: GPT related issues
Date: Thu, 23 Sep 2010 09:29:55 -0400
On Thu, Sep 23, 2010 at 12:12:37PM +0200, Mike Hommey wrote:
> On Thu, Sep 23, 2010 at 08:13:26AM +0200, Mike Hommey wrote:
> > Back to the core of my issues. I went through a manual partitionning, and
> > didn't create a boot partition for the grub core image, assuming I was
> > creating an MBR partition. It turned out, in the end, that GRUB failed
> > because of that, because the partition table was GPT. I didn't see anything
> > about GPT being used (or maybe wasn't paying too much attention), and surely
> > the partitioner could issue a warning that no such partition was created and
> > that the risk is that GRUB can't be installed.
> 
> Oh I forgot to add this: the installed fdisk is pointless as the only
> thing it can do is tell you to use parted, which supports GPT... except
> parted is not installed. If the install is done on GPT, shouldn't parted
> be installed (or any other fdisk equivalent supporting GPT)

Was this a blank unused HD or had something else already been installed
before?

How big is the HD?

I have not seen Debian efault to GPT unless the disk was over 2TB before,
or unless windows 7 had already chosen to make it GPT.

-- 
Len Sorensen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#597799; Package installation-reports. (Thu, 23 Sep 2010 13:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 23 Sep 2010 13:42:03 GMT) Full text and rfc822 format available.

Message #20 received at 597799@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Lennart Sorensen <lsorense@csclub.uwaterloo.ca>
Cc: 597799@bugs.debian.org
Subject: Re: Bug#597799: installation-report: GPT related issues
Date: Thu, 23 Sep 2010 15:39:08 +0200
On Thu, Sep 23, 2010 at 09:29:55AM -0400, Lennart Sorensen wrote:
> On Thu, Sep 23, 2010 at 12:12:37PM +0200, Mike Hommey wrote:
> > On Thu, Sep 23, 2010 at 08:13:26AM +0200, Mike Hommey wrote:
> > > Back to the core of my issues. I went through a manual partitionning, and
> > > didn't create a boot partition for the grub core image, assuming I was
> > > creating an MBR partition. It turned out, in the end, that GRUB failed
> > > because of that, because the partition table was GPT. I didn't see anything
> > > about GPT being used (or maybe wasn't paying too much attention), and surely
> > > the partitioner could issue a warning that no such partition was created and
> > > that the risk is that GRUB can't be installed.
> > 
> > Oh I forgot to add this: the installed fdisk is pointless as the only
> > thing it can do is tell you to use parted, which supports GPT... except
> > parted is not installed. If the install is done on GPT, shouldn't parted
> > be installed (or any other fdisk equivalent supporting GPT)
> 
> Was this a blank unused HD or had something else already been installed
> before?
>
> How big is the HD?
> 
> I have not seen Debian efault to GPT unless the disk was over 2TB before,
> or unless windows 7 had already chosen to make it GPT.

The disk is a new one, though I didn't check if there was a
pre-existing partitioning (but I really doubt it). OTOH, the disk is
2000GB, which is not quite over 2TB, but close enough that it may have
mattered.

Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#597799; Package installation-reports. (Thu, 23 Sep 2010 16:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to lsorense@csclub.uwaterloo.ca (Lennart Sorensen):
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 23 Sep 2010 16:30:03 GMT) Full text and rfc822 format available.

Message #25 received at 597799@bugs.debian.org (full text, mbox):

From: lsorense@csclub.uwaterloo.ca (Lennart Sorensen)
To: Mike Hommey <mh@glandium.org>
Cc: Lennart Sorensen <lsorense@csclub.uwaterloo.ca>, 597799@bugs.debian.org
Subject: Re: Bug#597799: installation-report: GPT related issues
Date: Thu, 23 Sep 2010 12:28:45 -0400
On Thu, Sep 23, 2010 at 03:39:08PM +0200, Mike Hommey wrote:
> The disk is a new one, though I didn't check if there was a
> pre-existing partitioning (but I really doubt it). OTOH, the disk is
> 2000GB, which is not quite over 2TB, but close enough that it may have
> mattered.

Certainly MBR partitions do not work when you pass 2TB (2^32 512byte
sectors).  After all if it had a partition table already, it would have
just used it.

Now so far I have been running a few machines with GPT partitions on a
2.5TB raid for a few years and with grub2 it works just fine, even with
a machine that just uses a plain old BIOS.

-- 
Len Sorensen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#597799; Package installation-reports. (Fri, 24 Sep 2010 06:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 24 Sep 2010 06:30:02 GMT) Full text and rfc822 format available.

Message #30 received at 597799@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Lennart Sorensen <lsorense@csclub.uwaterloo.ca>
Cc: 597799@bugs.debian.org
Subject: Re: Bug#597799: installation-report: GPT related issues
Date: Fri, 24 Sep 2010 08:26:33 +0200
On Thu, Sep 23, 2010 at 12:28:45PM -0400, Lennart Sorensen wrote:
> On Thu, Sep 23, 2010 at 03:39:08PM +0200, Mike Hommey wrote:
> > The disk is a new one, though I didn't check if there was a
> > pre-existing partitioning (but I really doubt it). OTOH, the disk is
> > 2000GB, which is not quite over 2TB, but close enough that it may have
> > mattered.
> 
> Certainly MBR partitions do not work when you pass 2TB (2^32 512byte
> sectors).  After all if it had a partition table already, it would have
> just used it.

Well, 2000GB should still work with MBR partitions.

> Now so far I have been running a few machines with GPT partitions on a
> 2.5TB raid for a few years and with grub2 it works just fine, even with
> a machine that just uses a plain old BIOS.

The point is, grub just works, if I don't forget to create a small boot
partition, which I didn't know I had to create until grub-setup failed
because of the lack of it.

Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#597799; Package installation-reports. (Fri, 24 Sep 2010 15:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to lsorense@csclub.uwaterloo.ca (Lennart Sorensen):
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 24 Sep 2010 15:39:07 GMT) Full text and rfc822 format available.

Message #35 received at 597799@bugs.debian.org (full text, mbox):

From: lsorense@csclub.uwaterloo.ca (Lennart Sorensen)
To: Mike Hommey <mh@glandium.org>
Cc: Lennart Sorensen <lsorense@csclub.uwaterloo.ca>, 597799@bugs.debian.org
Subject: Re: Bug#597799: installation-report: GPT related issues
Date: Fri, 24 Sep 2010 11:38:09 -0400
On Fri, Sep 24, 2010 at 08:26:33AM +0200, Mike Hommey wrote:
> On Thu, Sep 23, 2010 at 12:28:45PM -0400, Lennart Sorensen wrote:
> > On Thu, Sep 23, 2010 at 03:39:08PM +0200, Mike Hommey wrote:
> > > The disk is a new one, though I didn't check if there was a
> > > pre-existing partitioning (but I really doubt it). OTOH, the disk is
> > > 2000GB, which is not quite over 2TB, but close enough that it may have
> > > mattered.
> > 
> > Certainly MBR partitions do not work when you pass 2TB (2^32 512byte
> > sectors).  After all if it had a partition table already, it would have
> > just used it.
> 
> Well, 2000GB should still work with MBR partitions.
> 
> > Now so far I have been running a few machines with GPT partitions on a
> > 2.5TB raid for a few years and with grub2 it works just fine, even with
> > a machine that just uses a plain old BIOS.
> 
> The point is, grub just works, if I don't forget to create a small boot
> partition, which I didn't know I had to create until grub-setup failed
> because of the lack of it.

Well I have a machine that has been running for a few years now with:

50GB /
2200GB LVM

Grub2 has no problem with that, and it has a GPT partition table.

debian:~# parted
GNU Parted 1.8.8
Using /dev/sda
Welcome to GNU Parted! Type 'help' to view a list of commands.
(parted) print                                                            
Model: ServeRA MAIN (scsi)
Disk /dev/sda: 2250GB
Sector size (logical/physical): 512B/512B
Partition Table: gpt

Number  Start   End     Size    File system  Name  Flags
 1      17.4kB  50.0GB  50.0GB  ext3         Root  boot 
 2      50.0GB  2250GB  2200GB               LVM   lvm  

(parted) quit                                                             
debian:~# fdisk -l

WARNING: GPT (GUID Partition Table) detected on '/dev/sda'! The util fdisk doesn't support GPT. Use GNU Parted.


Disk /dev/sda: 2250.1 GB, 2250128752640 bytes
255 heads, 63 sectors/track, 273562 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0x00000000

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1               1      267350  2147483647+  ee  EFI GPT

So I would say there is no requirement for a /boot partition.  There might
be a requirement for /boot to not be on LVM.  Not sure.

-- 
Len Sorensen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#597799; Package installation-reports. (Fri, 24 Sep 2010 16:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 24 Sep 2010 16:33:03 GMT) Full text and rfc822 format available.

Message #40 received at 597799@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Lennart Sorensen <lsorense@csclub.uwaterloo.ca>
Cc: 597799@bugs.debian.org
Subject: Re: Bug#597799: installation-report: GPT related issues
Date: Fri, 24 Sep 2010 18:31:27 +0200
On Fri, Sep 24, 2010 at 11:38:09AM -0400, Lennart Sorensen wrote:
> Disk /dev/sda: 2250.1 GB, 2250128752640 bytes
> 255 heads, 63 sectors/track, 273562 cylinders
> Units = cylinders of 16065 * 512 = 8225280 bytes
> Disk identifier: 0x00000000
> 
>    Device Boot      Start         End      Blocks   Id  System
> /dev/sda1               1      267350  2147483647+  ee  EFI GPT
> 
> So I would say there is no requirement for a /boot partition.  There might
> be a requirement for /boot to not be on LVM.  Not sure.

I probably haven't made myself clear enough. I was not talking about a
/boot partition, but about a GPT grub boot partition, or whatever grub
called it in its grub-setup failure message. One you give a bios_grub
flag. But then, maybe your core.img is small enough to fit in the 17.4kB
before the first partition. Here it doesn't. I made the boot partition
128kB big because I didn't have a clue and found that to be enough in
most cases through a google search, though seeing the size of my current
core.img, 32 or 64kB would have been enough.

Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#597799; Package installation-reports. (Fri, 24 Sep 2010 18:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to lsorense@csclub.uwaterloo.ca (Lennart Sorensen):
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 24 Sep 2010 18:48:04 GMT) Full text and rfc822 format available.

Message #45 received at 597799@bugs.debian.org (full text, mbox):

From: lsorense@csclub.uwaterloo.ca (Lennart Sorensen)
To: Mike Hommey <mh@glandium.org>
Cc: Lennart Sorensen <lsorense@csclub.uwaterloo.ca>, 597799@bugs.debian.org
Subject: Re: Bug#597799: installation-report: GPT related issues
Date: Fri, 24 Sep 2010 14:46:24 -0400
On Fri, Sep 24, 2010 at 06:31:27PM +0200, Mike Hommey wrote:
> On Fri, Sep 24, 2010 at 11:38:09AM -0400, Lennart Sorensen wrote:
> > Disk /dev/sda: 2250.1 GB, 2250128752640 bytes
> > 255 heads, 63 sectors/track, 273562 cylinders
> > Units = cylinders of 16065 * 512 = 8225280 bytes
> > Disk identifier: 0x00000000
> > 
> >    Device Boot      Start         End      Blocks   Id  System
> > /dev/sda1               1      267350  2147483647+  ee  EFI GPT
> > 
> > So I would say there is no requirement for a /boot partition.  There might
> > be a requirement for /boot to not be on LVM.  Not sure.
> 
> I probably haven't made myself clear enough. I was not talking about a
> /boot partition, but about a GPT grub boot partition, or whatever grub
> called it in its grub-setup failure message. One you give a bios_grub
> flag. But then, maybe your core.img is small enough to fit in the 17.4kB
> before the first partition. Here it doesn't. I made the boot partition
> 128kB big because I didn't have a clue and found that to be enough in
> most cases through a google search, though seeing the size of my current
> core.img, 32 or 64kB would have been enough.

My core.img is 27KB.  That's less than 63 sectors, so yes it would fit.
Of course given the GPT uses space there too, I am not sure where it
has put it.  Hmm.  Maybe it just used blocklist automatically when I
installed it.

-- 
Len Sorensen




Bug reassigned from package 'installation-reports' to 'grub-installer'. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Fri, 07 Jan 2011 23:30:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 2.42. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Fri, 07 Jan 2011 23:30:07 GMT) Full text and rfc822 format available.

Forcibly Merged 507399 548156 586059 597799 600524. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Wed, 26 Jan 2011 23:33:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 07:21:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.